/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.frontend.taglib.chart.model;

import com.liferay.portal.kernel.json.JSON;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Iván Zaera Avellón
 */
public abstract class Column extends ChartObject {

	public Column(String id) {
		setId(id);
	}

	public void setId(String id) {
		set("id", id);
	}

	public void setName(String name) {
		set("name", name);
	}

	@JSON(include = false)
	protected <T> List<T> getData() {
		return get("data", ArrayList.class);
	}

}