/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.frontend.taglib.chart.model;

import java.util.Collection;
import java.util.List;

/**
 * @author Iván Zaera Avellón
 */
public class MultiValueColumn extends Column {

	public MultiValueColumn(String id) {
		super(id);
	}

	public MultiValueColumn(String id, Collection<? extends Number> values) {
		super(id);

		addValues(values);
	}

	public MultiValueColumn(String id, Number... values) {
		super(id);

		addValues(values);
	}

	public void addValue(Number value) {
		List<Number> data = getData();

		data.add(value);
	}

	public void addValues(Collection<? extends Number> values) {
		for (Number value : values) {
			addValue(value);
		}
	}

	public void addValues(Number... values) {
		for (Number value : values) {
			addValue(value);
		}
	}

}