/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.frontend.taglib.chart.model;

import java.util.List;

/**
 * @author Iván Zaera Avellón
 */
public class SingleValueColumn extends Column {

	public SingleValueColumn(String id) {
		super(id);
	}

	public SingleValueColumn(String id, Number value) {
		super(id);

		setValue(value);
	}

	public void setValue(Number value) {
		List<Number> data = getData();

		if (data.isEmpty()) {
			data.add(value);
		}
		else {
			data.set(0, value);
		}
	}

}