/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.frontend.taglib.chart.model.combination;

import com.liferay.frontend.taglib.chart.model.ChartConfig;
import com.liferay.frontend.taglib.chart.model.TypedMultiValueColumn;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.List;

/**
 * @author Iván Zaera Avellón
 */
public class CombinationChartConfig extends ChartConfig<TypedMultiValueColumn> {

	public void addGroup(Collection<String>... group) {
		ArrayList<Collection<String>[]> groups = get("groups", ArrayList.class);

		groups.add(group);
	}

	public void addGroup(String... group) {
		ArrayList<List<String>> groups = get("groups", ArrayList.class);

		groups.add(Arrays.asList(group));
	}

}